Package org.codehaus.classworlds

## Class ClassWorld

- java.lang.Object
- - org.codehaus.classworlds.ClassWorld

Direct Known Subclasses:
  `ClassWorldAdapter`

    @Deprecated
    public class ClassWorld
    extends java.lang.Object

Deprecated.
A compatibility wrapper for org.codehaus.plexus.classworlds.ClassWorld provided for legacy code

Author:
  Andrew Williams

### Constructor Summary

Constructors
`ClassWorld()` Deprecated.
`ClassWorld​(boolean ignore)` Deprecated.
`ClassWorld​(java.lang.String realmId, java.lang.ClassLoader classLoader)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `disposeRealm​(java.lang.String id)` Deprecated.
`ClassRealm` `getRealm​(java.lang.String id)` Deprecated.
`java.util.Collection` `getRealms()` Deprecated.
`ClassRealm` `newRealm​(java.lang.String id)` Deprecated.
`ClassRealm` `newRealm​(java.lang.String id, java.lang.ClassLoader classLoader)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassWorld

    public ClassWorld​(java.lang.String realmId,
                      java.lang.ClassLoader classLoader)

Deprecated.

#### ClassWorld

    public ClassWorld()

Deprecated.

#### ClassWorld

    public ClassWorld​(boolean ignore)

Deprecated.

### Method Detail

#### newRealm

    public ClassRealm newRealm​(java.lang.String id)
                        throws DuplicateRealmException

Deprecated.

Throws:
  `DuplicateRealmException`

#### newRealm

    public ClassRealm newRealm​(java.lang.String id,
                               java.lang.ClassLoader classLoader)
                        throws DuplicateRealmException

Deprecated.

Throws:
  `DuplicateRealmException`

#### disposeRealm

    public void disposeRealm​(java.lang.String id)
                      throws NoSuchRealmException

Deprecated.

Throws:
  `NoSuchRealmException`

#### getRealm

    public ClassRealm getRealm​(java.lang.String id)
                        throws NoSuchRealmException

Deprecated.

Throws:
  `NoSuchRealmException`

#### getRealms

    public java.util.Collection getRealms()

Deprecated.